ForoSUSE

ForoSUSE (http://www.forosuse.org/forosuse/index.php)
-   Escritorios: KDE, Gnome, otros... (http://www.forosuse.org/forosuse/forumdisplay.php?f=5)
-   -   KDEInit no pudo lanzar «/usr/bin/xdg-su». (http://www.forosuse.org/forosuse/showthread.php?t=29076)

jes_sus50 24-nov-2012 09:44

KDEInit no pudo lanzar «/usr/bin/xdg-su».
 
No se que ice pero desinstale algo que no devia. y Me sale el siguiente mensaje, cuando abro YaST KDEInit no pudo lanzar «/usr/bin/xdg-su». podria instalar otravez el KDEinit des de consolesu. muchas gracias

VampirD 24-nov-2012 10:50

su - -c "zypper in xdg-utils"

de cualquier forma yo ejecutaria ademas:

su - -c "zypper ve"

jes_sus50 28-nov-2012 12:14

Cita:

Iniciado por VampirD (Mensaje 158516)
su - -c "zypper in xdg-utils"

de cualquier forma yo ejecutaria ademas:

su - -c "zypper ve"

Hola puse: su - -c "zypper in xdg-utils"
Y me sale esto al final:

Problem: nothing provides perl-Net-DBus needed by xdg-utils-1.0.2-98.7.1.noarch
Solution 1: do not install xdg-utils-1.0.2-98.7.1.noarch
Solution 2: break xdg-utils-1.0.2-98.7.1.noarch by ignoring some of its dependencies

Y pongo esto: su - -c "zypper ve" Y me sale esto:
linux-3ld4:~ # su - -c "zypper ve"
Loading repository data...
Reading installed packages...
6 Problems:
Problem: nothing provides libwpd-0.9.so.9()(64bit) needed by koffice2-kword-2.3.1-12.4.1.x86_64
Problem: nothing provides libgsl.so.0()(64bit) needed by koffice2-kspread-2.3.1-12.4.1.x86_64
Problem: nothing provides libpqxx-3.1.so()(64bit) needed by koffice2-kexi-2.3.1-12.4.1.x86_64
Problem: nothing provides libwpd-0.9.so.9()(64bit) needed by koffice2-karbon-2.3.1-12.4.1.x86_64
Problem: nothing provides libc.so.6(GLIBC_2.15)(64bit) needed by libspnav0-0.2.2-11.1.x86_64
Problem: nothing provides libwpd-0.9.so.9()(64bit) needed by koffice2-kword-2.3.1-12.4.1.x86_64

Problem: nothing provides libwpd-0.9.so.9()(64bit) needed by koffice2-kword-2.3.1-12.4.1.x86_64
Solution 1: deinstallation of koffice2-kword-2.3.1-12.4.1.x86_64
Solution 2: break koffice2-kword-2.3.1-12.4.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 1

Problem: nothing provides libgsl.so.0()(64bit) needed by koffice2-kspread-2.3.1-12.4.1.x86_64
Solution 1: deinstallation of koffice2-kspread-2.3.1-12.4.1.x86_64
Solution 2: break koffice2-kspread-2.3.1-12.4.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 2

Problem: nothing provides libpqxx-3.1.so()(64bit) needed by koffice2-kexi-2.3.1-12.4.1.x86_64
Solution 1: deinstallation of koffice2-kexi-2.3.1-12.4.1.x86_64
Solution 2: break koffice2-kexi-2.3.1-12.4.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): s

Problem: nothing provides libwpd-0.9.so.9()(64bit) needed by koffice2-karbon-2.3.1-12.4.1.x86_64
Solution 1: deinstallation of koffice2-karbon-2.3.1-12.4.1.x86_64
Solution 2: break koffice2-karbon-2.3.1-12.4.1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c):

Muchas gracias, al ponerte esto sabes lo que es , muchas gracias por tu contestacion un Saludo

VampirD 28-nov-2012 12:54

tienes un sistema inconsistente, posiblemente debido a una mala mezcla de repositorios, podrias poner la salida del comando "zypper lr -u" aca?

jes_sus50 29-nov-2012 09:19

Cita:

Iniciado por VampirD (Mensaje 158572)
tienes un sistema inconsistente, posiblemente debido a una mala mezcla de repositorios, podrias poner la salida del comando "zypper lr -u" aca?

Esto es lo que sale:
linux-3ld4:~ # zypper lr -u
# | Alias | Name | Enabled | Refresh | URI
---+---------------------------------------------+---------------------------------------------------+---------+---------+-----------------------------------------------------------------------------
1 | Actualizaciones-para-openSUSE-12.1-12.1-1.4 | Actualizaciones para openSUSE 12.1 12.1-1.4 | Yes | Yes | http://download.opensuse.org/update/12.1/
2 | KDS | KDS | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.2/
3 | download.opensuse.org-Apps | openSUSE BuildService - GNOME:Apps | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
4 | download.opensuse.org-Education | openSUSE BuildService - Educación | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
5 | download.opensuse.org-Extra | BuildService de openSUSE - KDE:Extra | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
6 | download.opensuse.org-Stable | BuildService de openSUSE - LibreOffice | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
7 | download.opensuse.org-UpdatedApps | BuildService de openSUSE - KDE:UpdatedApps | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
8 | download.opensuse.org-Wine | BuildService de openSUSE - Revisiones CVS de Wine | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
9 | download.opensuse.org-games | BuildService de openSUSE - Juegos | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
10 | download.opensuse.org-lxde | openSUSE BuildService - LXDE | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
11 | download.opensuse.org-php | BuildService de openSUSE - PHP | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
12 | packman.inode.at-suse | Packman Repository | Yes | Yes | http://packman.inode.at/suse/12.1/
13 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | http://download.opensuse.org/distrib.../repo/non-oss/
linux-3ld4:~ #

Aver si puedo darte mas informacion, borre un archivo pero creo que borre sin darme cuenta algo que no devia aver borrado. Gracias bampirD por tus respuestas

jes_sus50 29-nov-2012 09:35

No hay ninguna aplicación instalada que pueda abrir archivos del tipo sysinfo:/ handler (application/x-sysinfo).
¿Quiere tratar de instalar alguna?
Esto me sale cuando quiero ver Maquina - Información del sistema.
Por ejemplo en inicio - sale favoritos- aplicaciones, pues en este apartado no sale nada

VampirD 29-nov-2012 13:40

no veo el repositorio oss, agregalo con el comando
Código:

zypper ar http://download.opensuse.org/distribution/12.1/repo/oss/  repo-oss
El repositorio KDS que tienes es para openSUSE 12.2, los demas son para 12.1, quitalo y agrega el correspondiente, una vez realizados esos cambios ejecuta nuevamente:

Código:

zypper ve

jes_sus50 30-nov-2012 10:41

Cita:

Iniciado por VampirD (Mensaje 158592)
no veo el repositorio oss, agregalo con el comando
Código:

zypper ar http://download.opensuse.org/distribution/12.1/repo/oss/  repo-oss
El repositorio KDS que tienes es para openSUSE 12.2, los demas son para 12.1, quitalo y agrega el correspondiente, una vez realizados esos cambios ejecuta nuevamente:

Código:

zypper ve

No me funciona el YaST y con la consola no se como quitar el repositorio KDS del 12.2 ponme como hacerlo.
Y tampoco se como poner el KDS del 12.1 que es el que temgo.
Vampird muchas gracias ya puse el oss que me dijiste.

VampirD 30-nov-2012 11:58

Para eliminar el repo debes poner:

Código:

zypper rr KDS
Para agregar el correcto:
Código:

zypper ar http://download.opensuse.org/repositories/KDE:/Release:/48/openSUSE_12.1/ KDS

jes_sus50 30-nov-2012 13:37

Cita:

Iniciado por VampirD (Mensaje 158617)
Para eliminar el repo debes poner:

Código:

zypper rr KDS
Para agregar el correcto:
Código:

zypper ar http://download.opensuse.org/repositories/KDE:/Release:/48/openSUSE_12.1/ KDS

Esto me sigue igual des instale el kds e instale el otro kds, te pongo lo que sale a ver que bes

1 | Actualizaciones-para-openSUSE-12.1-12.1-1.4 | Actualizaciones para openSUSE 12.1 12.1-1.4 | Yes | Yes | http://download.opensuse.org/update/12.1/
2 | KDS | KDS | Yes | No | http://download.opensuse.org/reposit...openSUSE_12.1/
3 | download.opensuse.org-Apps | openSUSE BuildService - GNOME:Apps | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
4 | download.opensuse.org-Education | openSUSE BuildService - Educación | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
5 | download.opensuse.org-Extra | BuildService de openSUSE - KDE:Extra | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
6 | download.opensuse.org-Stable | BuildService de openSUSE - LibreOffice | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
7 | download.opensuse.org-UpdatedApps | BuildService de openSUSE - KDE:UpdatedApps | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
8 | download.opensuse.org-Wine | BuildService de openSUSE - Revisiones CVS de Wine | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
9 | download.opensuse.org-games | BuildService de openSUSE - Juegos | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
10 | download.opensuse.org-lxde | openSUSE BuildService - LXDE | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
11 | download.opensuse.org-php | BuildService de openSUSE - PHP | Yes | Yes | http://download.opensuse.org/reposit...openSUSE_12.1/
12 | packman.inode.at-suse | Packman Repository | Yes | Yes | http://packman.inode.at/suse/12.1/
13 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | http://download.opensuse.org/distrib.../repo/non-oss/
14 | repo-oss | repo-oss | Yes | No | http://download.opensuse.org/distrib...12.1/repo/oss/

zypper ar http://download.opensuse.org/reposit...openSUSE_12.1/ KDS

Tendré que hacer una copia de los archivos y pondré el OpenSuse 12.2 gracias por tu ayuda que se que muchas veces es difícil si no estáis en el ordenador un abrazo VanpirD


La franja horaria es GMT +2. Ahora son las 17:01.

Powered by vBulletin™
Copyright © vBulletin Solutions, Inc. All rights reserved.


Esta página está bajo una licencia de Creative Commons, salvo que no se indique lo contrario.
Creative Commons License

Valid CSS!